Subject: Re: bug#15392: xorg-server FTBFS

From: Andreas Enge <[email-masked]>
Date: Wed, 25 Sep 2013 09:00:45 +0200

On Mon, Sep 23, 2013 at 09:39:12PM +0200, Ludovic Courtès wrote:
> Could you try ‘strace -f’ so we see what goes on in the child?

Thanks to joint work with Ludovic, the problem should be solved. Currently, 
hydra.gnu.org does not pick up the git repository, but at least, locally
xorg-server compiles and passes all its tests.

There is one question I still have concerning a path set by a configure flag,
which I started out by setting arbitrarily:
   (string-append "--with-xkb-output="
                  "/tmp") ; FIXME: This is a bit doubtful; where should
                          ; the compiled keyboard maps go?

Do you have any knowledge or opinion on what we should do here?
I suppose that we need a path to which the xserver can write at runtime,
so it should be outside the store.

Andreas